define('feature/comments/comment-collection',
['backbone', 'feature/comments/comment-model', 'util/navbuilder'],
function (Backbone, Comment, navbuilder) {
    return Backbone.Collection.extend({
        initialize : function(models, options) {
            options = options || {};
            this.pullRequestId = options.pullRequestId;
        },
        model : Comment,
        url : function() {
            if (this.pullRequestId != null) {
                return navbuilder.rest().currentRepo().pullRequest(this.pullRequestId).comments().build();
            } else {
                throw new Error('TODO');
            }
        }
    });
});
