/**
 * Future-proofing - noop iffy the escapeMarkup function.
 * The real fix involves modifying Select2 - currently it escapes the output of formatSelection and formatResult, but it should only format
 * the data.
 *
 * NOTE: If https://github.com/ivaynberg/select2/pull/375/files gets merged, this file should be removed, since that is the correct fix.
 */
jQuery.fn.select2.defaults.escapeMarkup = function(a) { return a; };
/**
 * This is required due to a bug in select2. It is calling $().map incorrectly in some parts of the code, leading to
 * inconsistency.
 * @type {Function}
 */
jQuery.fn.select2.defaults.id = (function(previous) {
    return function(a) {
        return previous(typeof a === 'number' ? this : a);
    };
})(jQuery.fn.select2.defaults.id);
