define('page/createRepo', [
    'model/page-state',
    'feature/repository/cloneUrlGen',
    'exports'
], function(
    pageState,
    cloneUrlGen,
    exports
) {
    exports.onReady = function(projectJSON) {
        pageState.setProject(projectJSON);
        cloneUrlGen.bindUrlGeneration("#name", "#clone-url > span");
    };
});
