@echo off
set _PRG_DIR=%~dp0

set _PRGRUNMODE=false
if "%1" == "/fg" set _PRGRUNMODE=true
if "%1" == "run" set _PRGRUNMODE=true

if "%_PRGRUNMODE%" == "true" goto EXECSTART
	echo To run STASH in the foreground, start the server with start-stash.bat /fg
	echo .

:EXECSTART
	echo.
	if "%_PRGRUNMODE%" == "true" goto EXECRUNMODE
	call "%_PRG_DIR%\startup.bat"  %1 %2 %3 %4 %5 %6 %7 %8 %9
	goto END

:EXECRUNMODE
	call "%_PRG_DIR%\catalina.bat"  run %2 %3 %4 %5 %6 %7 %8 %9
	goto END

:END
echo .
set STASH_CONTEXT=
set STASH_HTTPPORT=

FOR /F "eol=# tokens=1,2 delims==" %%a in (%_PRG_DIR%..\conf\scripts.cfg) DO (
    if %%a==stash_context set STASH_CONTEXT=%%b
    if %%a==stash_httpport set STASH_HTTPPORT=%%b
)
echo.
echo Started Atlassian Stash at:
echo http://localhost:%STASH_HTTPPORT%/%STASH_CONTEXT%
echo.
echo If you encounter issues starting or stopping Atlassian Stash, please see the Troubleshooting guide at:
echo http://confluence.atlassian.com/display/STASH/Installation+Troubleshooting+Guide
